//
//  WtaTennisApp.swift
//  WtaTennis
//
//  Created by Johan LACHENAL on 14/05/2024.
//

import SwiftUI

enum Theme {
    static let primary = Color("Primary")
    static let secondary = Color("Secondary")
    static let tertiary = Color("Tertiary")
}

@main

struct ArkitDoushiQiApp: App {
    @AppStorage("isDarkMode") private var isDarkMode = false
            var body: some Scene {
                    WindowGroup {
                    MainMenu(playButtonText: "Jouer", registeredGamesButtonText: "Parties enregistrées",ParametersButtontText: "Paramètres")
                    .preferredColorScheme(isDarkMode ? .dark : .light)
           }
    }
}
